| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor > Class Template Reference

Generic 1D unstructured mesh with collections of named scalar, vector, tensor and index fields. Mesh contains geometry (inherited from UnstructuredMeshGeometry1d) and collection of index, scalar, vector and tensor fields.Fields are created on demand (lazy evaluation). More...

Inheritance diagram for IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >:
[legend]
Collaboration diagram for IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >:
[legend]

List of all members.

## Public Member Functions
| UnstructuredMesh1d ()
| Constructs a new empty unstructured mesh (no elements contained) with no name and no description.
| UnstructuredMesh1d (int numElements)
| Creates a new unstructured mesh with the specified number of elements.
| UnstructuredMesh1d (int numElements, string fieldName)
| Constructs a new unstructured mesh with the specified number of nodes and name.
| UnstructuredMesh1d (int numElements, string fieldName, string fieldDescription)
| Constructs a new unstructured mesh with the specified number of nodes, name and description. Table of elements is allocated.
TIndexField | GetIndexField (string name)
| Returns index field with the specified name.
TIndexField | GetIndexField (int index)
| Returns the index field with the specified index. Warning: numbering of index fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.
virtual TIndexField | CreateIndexField (string fieldName, string fieldDescription)
| Creates and returns a new index field of dimensions that match dimensions of the current structured mesh, and with specified name and description.
void | AddIndexField (string fieldName, string fieldDescription)
| Creates a new index field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.
void | AddIndexField (TIndexField field, string name)
| Adds the specified index field to the collection of index fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.
void | AddIndexField (TIndexField field)
| Adds the specified index field to the collection of index fields.
void | RemoveIndexField (string fieldName)
| Removed the field with the specified name from the current field collection.
TScalarField | GetScalarField (string name)
| Returns scalar field with the specified name.
TScalarField | GetScalarField (int index)
| Returns the scalar field with the specified index. Warning: numbering of scalar fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.
virtual TScalarField | CreateScalarField (string fieldName, string fieldDescription)
| Creates and returns a new scalar field of dimensions that match dimensions of the current structured mesh, and with specified name and description.
TScalarField | AddScalarField (string fieldName, string fieldDescription)
| Creates and returns a new scalar field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.
void | AddScalarField (TScalarField field, string name)
| Adds the specified scalar field to the collection of scalar fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.
void | AddScalarField (TScalarField field)
| Adds the specified scalar field to the collection of scalar fields.
void | RemoveScalarField (string fieldName)
| Removed the field with the specified name from the current field collection.
TVectorField | GetVectorField (string name)
| Returns vector field with the specified name.
TVectorField | GetVectorField (int index)
| Returns the vector field with the specified index. Warning: numbering of vector fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.
virtual TVectorField | CreateVectorField (string fieldName, string fieldDescription)
| Creates and returns a new vector field of dimensions that match dimensions of the current structured mesh, and with specified name and description.
TVectorField | AddVectorField (string fieldName, string fieldDescription)
| Creates and returns a new vector field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.
void | AddVectorField (TVectorField field, string name)
| Adds the specified vector field to the collection of vector fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.
void | AddVectorField (TVectorField field)
| Adds the specified vector field to the collection of vector fields.
void | RemoveVectorField (string fieldName)
| Removed the field with the specified name from the current field collection.
TTensorField | GetTensorField (string name)
| Returns tensor field with the specified name.
TTensorField | GetTensorField (int index)
| Returns the tensor field with the specified index. Warning: numbering of tensor fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.
virtual TTensorField | CreateTensorField (string fieldName, string fieldDescription)
| Creates and returns a new tensor field of dimensions that match dimensions of the current structured mesh, and with specified name and description.
TTensorField | AddTensorField (string fieldName, string fieldDescription)
| Creates a new tensor field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.
void | AddTensorField (TTensorField field, string name)
| Adds the specified tensor field to the collection of tensor fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.
void | AddTensorField (TTensorField field)
| Adds the specified tensor field to the collection of tensor fields.
void | RemoveTensorField (string fieldName)
| Removed the field with the specified name from the current field collection.
## Properties
FieldCollection< TIndexField, TIndex > | IndexFields`[get]`
| Gets the collection of index fields of the current mesh. Created on first access (lazy evaluation).
TIndexField | ActiveIndexField`[get, set]`
| Gets active index field. Has protected setter. If there is currently no active field then one is created.
string | ActiveIndexFieldName`[get, set]`
| Gets or sets name of the currently active index field. This determines the currently active index field.
int | NumIndexFields`[get]`
| Gets the number of index fields.
FieldCollection< TScalarField, TScalar > | ScalarFields`[get]`
| Gets the collection of scalar fields of the current mesh. Created on first access (lazy evaluation).
TScalarField | ActiveScalarField`[get, set]`
| Gets active scalar field. Has protected setter. If there is currently no active field then one is created.
string | ActiveScalarFieldName`[get, set]`
| Gets or sets name of the currently active scalar field. This determines the currently active scalar field.
int | NumScalarFields`[get]`
| Gets the number of scalar fields.
FieldCollection< TVectorField, TVector > | VectorFields`[get]`
| Gets the collection of vector fields of the current mesh. Created on first access (lazy evaluation).
TVectorField | ActiveVectorField`[get, set]`
| Gets active vector field. Has protected setter. If there is currently no active field then one is created.
string | ActiveVectorFieldName`[get, set]`
| Gets or sets name of the currently active vector field. This determines the currently active vector field.
int | NumVectorFields`[get]`
| Gets the number of vector fields.
FieldCollection< TTensorField, TTensor > | TensorFields`[get]`
| Gets the collection of tensor fields of the current mesh. Created on first access (lazy evaluation).
TTensorField | ActiveTensorField`[get, set]`
| Gets active tensor field. Has protected setter. If there is currently no active field then one is created.
string | ActiveTensorFieldName`[get, set]`
| Gets or sets name of the currently active tensor field. This determines the currently active tensor field.
int | NumTensorFields`[get]`
| Gets the number of tensor fields.
## Private Attributes
FieldCollection< TIndexField, TIndex > | _indexFields
TIndexField | _activeIndexField
FieldCollection< TScalarField, TScalar > | _scalarFields
TScalarField | _activeScalarField
FieldCollection< TVectorField, TVector > | _vectorFields
TVectorField | _activeVectorField
FieldCollection< TTensorField, TTensor > | _tensorFields
TTensorField | _activeTensorField

## Detailed Description

### template<TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor>
class IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >

Generic 1D unstructured mesh with collections of named scalar, vector, tensor and index fields.

Mesh contains geometry (inherited from UnstructuredMeshGeometry1d) and collection of index, scalar, vector and tensor fields.

Fields are created on demand (lazy evaluation).

Template Parameters:

  TCoord | Type of coordinates for description of mesh geometry.
  TIndexField | Type of contained index fields.
  TIndex | Type of elements of contained index fields.
  TScalarField | Type of contained scalar fields.
  TScalar | Type of elements of contained scalar fields.
  TVectorField | Type of contained vector fields.
  TVector | Type of elements of contained vector fields.
  TTensorField | Type of contained tensor fields.
  TTensor | Type of elements of contained tensor fields.

$A Igor Jan08 Mar09;

Type Constraints

  TIndexField | : | Field<TIndex> |
  TIndexField | : | new() |
  TScalarField | : | Field<TScalar> |
  TScalarField | : | new() |
  TVectorField | : | Field<TVector> |
  TVectorField | : | new() |
  TTensorField | : | Field<TTensor> |
  TTensorField | : | new() |

## Member Function Documentation

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::UnstructuredMesh1d | ( |  | ) | `[inline]`

Constructs a new empty unstructured mesh (no elements contained) with no name and no description.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::UnstructuredMesh1d | ( | int | numElements | ) | `[inline]`

Creates a new unstructured mesh with the specified number of elements.

Parameters:

  numElements | Number of elements of the coordinate field.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::UnstructuredMesh1d | ( | int | numElements,
|  | string | fieldName
| ) |  | `[inline]`

Constructs a new unstructured mesh with the specified number of nodes and name.

Parameters:

  numElements | Number of elements.
  fieldName | Name of the field.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::UnstructuredMesh1d | ( | int | numElements,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Constructs a new unstructured mesh with the specified number of nodes, name and description. Table of elements is allocated.

Parameters:

  numElements | Number of elements.
  fieldName | Name of the field.
  fieldDescription | Field description.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TIndexField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetIndexField | ( | string | name | ) | `[inline]`

Returns index field with the specified name.

Parameters:

  name | Name of the index field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TIndexField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetIndexField | ( | int | index | ) | `[inline]`

Returns the index field with the specified index. Warning: numbering of index fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.

Parameters:

  index | Consecutive index of the index field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

virtual TIndexField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::CreateIndexField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline, virtual]`

Creates and returns a new index field of dimensions that match dimensions of the current structured mesh, and with specified name and description.

Parameters:

  fieldName | Name of the created field (can be null).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddIndexField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Creates a new index field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.

Parameters:

  fieldName | Name of the created field (normally it shouldn't be null though this is legal).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddIndexField | ( | TIndexField | field,
|  | string | name
| ) |  | `[inline]`

Adds the specified index field to the collection of index fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.

Parameters:

  field | Field to be added to the collection.
  name | Name under which the field is added to the collection.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddIndexField | ( | TIndexField | field | ) | `[inline]`

Adds the specified index field to the collection of index fields.

Parameters:

  field | Field to be added.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::RemoveIndexField | ( | string | fieldName | ) | `[inline]`

Removed the field with the specified name from the current field collection.

Parameters:

  fieldName | Name of the field to be removed.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TScalarField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetScalarField | ( | string | name | ) | `[inline]`

Returns scalar field with the specified name.

Parameters:

  name | Name of the scalar field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TScalarField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetScalarField | ( | int | index | ) | `[inline]`

Returns the scalar field with the specified index. Warning: numbering of scalar fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.

Parameters:

  index | Consecutive index of the scalar field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

virtual TScalarField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::CreateScalarField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline, virtual]`

Creates and returns a new scalar field of dimensions that match dimensions of the current structured mesh, and with specified name and description.

Parameters:

  fieldName | Name of the created field (can be null).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TScalarField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddScalarField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Creates and returns a new scalar field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.

Parameters:

  fieldName | Name of the created field (normally it shouldn't be null though this is legal).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddScalarField | ( | TScalarField | field,
|  | string | name
| ) |  | `[inline]`

Adds the specified scalar field to the collection of scalar fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.

Parameters:

  field | Field to be added to the collection.
  name | Name under which the field is added to the collection.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddScalarField | ( | TScalarField | field | ) | `[inline]`

Adds the specified scalar field to the collection of scalar fields.

Parameters:

  field | Field to be added.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::RemoveScalarField | ( | string | fieldName | ) | `[inline]`

Removed the field with the specified name from the current field collection.

Parameters:

  fieldName | Name of the field to be removed.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TVectorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetVectorField | ( | string | name | ) | `[inline]`

Returns vector field with the specified name.

Parameters:

  name | Name of the vector field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TVectorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetVectorField | ( | int | index | ) | `[inline]`

Returns the vector field with the specified index. Warning: numbering of vector fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.

Parameters:

  index | Consecutive index of the vector field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

virtual TVectorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::CreateVectorField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline, virtual]`

Creates and returns a new vector field of dimensions that match dimensions of the current structured mesh, and with specified name and description.

Parameters:

  fieldName | Name of the created field (can be null).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TVectorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddVectorField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Creates and returns a new vector field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.

Parameters:

  fieldName | Name of the created field (normally it shouldn't be null though this is legal).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddVectorField | ( | TVectorField | field,
|  | string | name
| ) |  | `[inline]`

Adds the specified vector field to the collection of vector fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.

Parameters:

  field | Field to be added to the collection.
  name | Name under which the field is added to the collection.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddVectorField | ( | TVectorField | field | ) | `[inline]`

Adds the specified vector field to the collection of vector fields.

Parameters:

  field | Field to be added.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::RemoveVectorField | ( | string | fieldName | ) | `[inline]`

Removed the field with the specified name from the current field collection.

Parameters:

  fieldName | Name of the field to be removed.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TTensorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetTensorField | ( | string | name | ) | `[inline]`

Returns tensor field with the specified name.

Parameters:

  name | Name of the tensor field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TTensorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::GetTensorField | ( | int | index | ) | `[inline]`

Returns the tensor field with the specified index. Warning: numbering of tensor fields changes when fields are added or removed, therefore this method should only be called within the time (after the index of a particular field is known) when fields were not added or removed.

Parameters:

  index | Consecutive index of the tensor field to be returned.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

virtual TTensorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::CreateTensorField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline, virtual]`

Creates and returns a new tensor field of dimensions that match dimensions of the current structured mesh, and with specified name and description.

Parameters:

  fieldName | Name of the created field (can be null).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TTensorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddTensorField | ( | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Creates a new tensor field of dimensions that match dimensions of the current 1D structuredmesh, and specified with name and description, and adds it to the current collection.

Parameters:

  fieldName | Name of the created field (normally it shouldn't be null though this is legal).
  fieldDescription | Description of the created field (can be null).

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddTensorField | ( | TTensorField | field,
|  | string | name
| ) |  | `[inline]`

Adds the specified tensor field to the collection of tensor fields under the specified name. If the field already has a name then its name is replaced by the specified name, unless the specified name is null.

Parameters:

  field | Field to be added to the collection.
  name | Name under which the field is added to the collection.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::AddTensorField | ( | TTensorField | field | ) | `[inline]`

Adds the specified tensor field to the collection of tensor fields.

Parameters:

  field | Field to be added.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

void IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::RemoveTensorField | ( | string | fieldName | ) | `[inline]`

Removed the field with the specified name from the current field collection.

Parameters:

  fieldName | Name of the field to be removed.

## Member Data Documentation

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TIndexField, TIndex> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_indexFields`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TIndexField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_activeIndexField`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TScalarField, TScalar> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_scalarFields`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TScalarField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_activeScalarField`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TVectorField, TVector> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_vectorFields`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TVectorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_activeVectorField`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TTensorField, TTensor> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_tensorFields`[private]`

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TTensorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::_activeTensorField`[private]`

## Property Documentation

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TIndexField, TIndex> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::IndexFields`[get, protected]`

Gets the collection of index fields of the current mesh. Created on first access (lazy evaluation).

Property is protected since the collection should not be accessed directly.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TIndexField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveIndexField`[get, set]`

Gets active index field. Has protected setter. If there is currently no active field then one is created.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

string IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveIndexFieldName`[get, set]`

Gets or sets name of the currently active index field. This determines the currently active index field.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

int IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::NumIndexFields`[get]`

Gets the number of index fields.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TScalarField, TScalar> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ScalarFields`[get, protected]`

Gets the collection of scalar fields of the current mesh. Created on first access (lazy evaluation).

Property is protected since the collection should not be accessed directly.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TScalarField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveScalarField`[get, set]`

Gets active scalar field. Has protected setter. If there is currently no active field then one is created.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

string IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveScalarFieldName`[get, set]`

Gets or sets name of the currently active scalar field. This determines the currently active scalar field.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

int IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::NumScalarFields`[get]`

Gets the number of scalar fields.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TVectorField, TVector> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::VectorFields`[get, protected]`

Gets the collection of vector fields of the current mesh. Created on first access (lazy evaluation).

Property is protected since the collection should not be accessed directly.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TVectorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveVectorField`[get, set]`

Gets active vector field. Has protected setter. If there is currently no active field then one is created.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

string IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveVectorFieldName`[get, set]`

Gets or sets name of the currently active vector field. This determines the currently active vector field.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

int IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::NumVectorFields`[get]`

Gets the number of vector fields.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

FieldCollection<TTensorField, TTensor> IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::TensorFields`[get, protected]`

Gets the collection of tensor fields of the current mesh. Created on first access (lazy evaluation).

Property is protected since the collection should not be accessed directly.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

TTensorField IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveTensorField`[get, set]`

Gets active tensor field. Has protected setter. If there is currently no active field then one is created.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

string IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::ActiveTensorFieldName`[get, set]`

Gets or sets name of the currently active tensor field. This determines the currently active tensor field.

template<TCoord , TIndexField , TIndex , TScalarField , TScalar , TVectorField , TVector , TTensorField , TTensor >

int IG::Num::UnstructuredMesh1d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >::NumTensorFields`[get]`

Gets the number of tensor fields.

The documentation for this class was generated from the following file:

- UnstructuredMesh1dGeneric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events